# EnSimpleStaging  |  Copyright(C), 2004, Enfold Systems, LLC
# see LICENSE.txt for details

from Products.CMFCore.utils import getToolByName
from Products.Archetypes.exceptions import ReferenceException
from Products.Archetypes.utils import wrap_method

def delHook(self, tool, sourceObject=None, targetObject=None):
    wt = getToolByName(self, 'portal_workspaces')
    if ((sourceObject and wt._isProtectedUID(sourceObject.UID())) or
        (targetObject and wt._isProtectedUID(targetObject.UID()))):
        raise ReferenceException('This UID will come back on deployment')
    return self.__EnSimpleStaging_delHook__(tool, sourceObject,
                                            targetObject)

from Products.Archetypes.ReferenceEngine import Reference

wrap_method(Reference, 'delHook', delHook, pattern='__EnSimpleStaging_%s__')
